
QGIS Application - Feature request #10556

Legend and scale bar - do not refresh the size of the box

2014-06-11 11:00 PM - Lucien Blandenier

Status: Feedback

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 18963

Description

Hello,

Could it be possible to fix the box size of the legend and the scale bar? When refreshing the content of the legend, the box resize

automatically to fit the content. It would be great to fix it with a checkbox.

Thanks

Associated revisions

Revision 2f8c6f52 - 2016-07-13 09:35 AM - Nyall Dawson

[composer] Add a checkbox for legends to prevent automatic resizing

A new checkbox has been added to the legend settings to control

whether or not a legend should be automatically resized to fit

its contents.

If unchecked, then the legend will never resize and instead just

stick to whatever size the user has set. Any content which

doesn't fit the size is cropped out.

Refs #10556

On behalf of Faunalia, sponsored by ENEL

Revision 4b6c82a5 - 2016-07-19 07:14 AM - Nyall Dawson

[composer] Add a checkbox for legends to prevent automatic resizing

A new checkbox has been added to the legend settings to control

whether or not a legend should be automatically resized to fit

its contents.

If unchecked, then the legend will never resize and instead just

stick to whatever size the user has set. Any content which

doesn't fit the size is cropped out.

Refs #10556

On behalf of Faunalia, sponsored by ENEL
(cherry-picked from 2f8c6f52073d4c9c77c39fa119f18ef82783e05d)

Revision a52f31a5 - 2016-07-19 09:23 AM - Nyall Dawson

[composer] Add a checkbox for legends to prevent automatic resizing

A new checkbox has been added to the legend settings to control

whether or not a legend should be automatically resized to fit

its contents.

If unchecked, then the legend will never resize and instead just

stick to whatever size the user has set. Any content which

doesn't fit the size is cropped out.

Refs #10556

On behalf of Faunalia, sponsored by ENEL

(cherry-picked from 2f8c6f52073d4c9c77c39fa119f18ef82783e05d)

Revision b9954bcc - 2016-07-19 11:36 PM - Nyall Dawson

[composer] Add a checkbox for legends to prevent automatic resizing

A new checkbox has been added to the legend settings to control

whether or not a legend should be automatically resized to fit

its contents.

If unchecked, then the legend will never resize and instead just

stick to whatever size the user has set. Any content which

doesn't fit the size is cropped out.

Refs #10556

On behalf of Faunalia, sponsored by ENEL

(cherry-picked from 2f8c6f52073d4c9c77c39fa119f18ef82783e05d)

History

#1 - 2014-06-15 12:30 PM - Nyall Dawson

- Tracker changed from Bug report to Feature request

#2 - 2014-06-28 07:36 AM - Jürgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2018-04-18 12:04 PM - Harrissou Santanna

- Status changed from Open to Feedback
- Description updated

Can we consider this as fixed (legend has a resize option and scale bar has fit segment option)?
